Skip to main content
List transactions

Authorizations

Authorization
string
header
required

Personal API token created in Visor Settings

Path Parameters

space_id
string<uuid>
required

A space id from GET /v1/spaces

Query Parameters

from_date
string<date>

First day to include, YYYY-MM-DD, in Brasília time

to_date
string<date>

Last day to include, YYYY-MM-DD, in Brasília time. Defaults to today.

account_id
string<uuid>

Only transactions of this account

category_id
string<uuid>

Only transactions of this category

tag_id
string<uuid>

Only transactions with this tag

type
enum<string>

Only debits or only credits

Available options:
debit,
credit
ignored
boolean

true for only ignored transactions, false for only counted ones. Omit it for both.

Text to find in the description, the merchant name, or the notes

Maximum string length: 100
limit
integer
default:50

Transactions per page, 1 to 100. Defaults to 50.

Required range: 1 <= x <= 100
after
string

The next_cursor of the previous page. Omit it for the first page.

Response

One page of transactions

data
(Transaction · object | null)[]
required
next_cursor
string | null
required

Pass as after to read the next page; null on the last page